LibreOffice: XAutoTextContainer2 Interface Reference

LibreOffice LibreOffice 5.4 SDK API Reference

Exported Interfaces | List of all members
XAutoTextContainer2 Interface Referencepublished

`import"XAutoTextContainer2.idl";`

Inheritance diagram for XAutoTextContainer2:

## Exported Interfaces
interface | com::sun::star::text::XAutoTextContainer
interface | com::sun::star::container::XIndexAccess

## Additional Inherited Members
Public Member Functions inherited from XAutoTextContainer
com::sun::star::text::XAutoTextGroup | insertNewByName ([in] string aGroupName) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException )
| creates a new AutoText group. More...
void | removeByName ([in] string aGroupName) raises ( com::sun::star::container::NoSuchElementException )
| deletes the specified AutoText group. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )

## Detailed Description

Since
  LibreOffice 4.1

## Exported Interfaces

## ◆ com::sun::star::container::XIndexAccess

interface com::sun::star::container::XIndexAccess

## ◆ com::sun::star::text::XAutoTextContainer

interface com::sun::star::text::XAutoTextContainer

The documentation for this interface was generated from the following file:

- com/sun/star/text/XAutoTextContainer2.idl